<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="ANALYZE_TEST_SOURCES" value="false" />
    <option name="SCOPE_TYPE" value="3" />
  </component>
  <component name="AndroidConfiguredLogFilters">
    <filters>
      <filter>
        <option name="logLevel" value="verbose" />
        <option name="logMessagePattern" value="" />
        <option name="logTagPattern" value="BLELOG" />
        <option name="name" value="Unnamed-0" />
        <option name="packageNamePattern" value="" />
        <option name="pid" value="" />
      </filter>
    </filters>
  </component>
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="debug" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Unnamed-0" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="5165d76a-556e-41d6-9115-187984c7b7d8" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[9d70ccdb]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$/blelib">
          <activation />
        </task>
        <task path="$PROJECT_DIR$/app">
          <activation />
        </task>
        <task path="$PROJECT_DIR$/ch9140lib">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="CH9140UART" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="Interface" />
      </list>
    </option>
  </component>
  <component name="GenerateSignedApkSettings">
    <option name="KEY_STORE_PATH" value="C:\KeyStore\wchappkey.jks" />
    <option name="KEY_ALIAS" value="wchkey0" />
    <option name="REMEMBER_PASSWORDS" value="true" />
    <option name="BUILD_TARGET_KEY" value="apk" />
  </component>
  <component name="ProjectId" id="1h2LfH4nFWLAaadSpLcmHP9utDS" />
  <component name="ProjectReloadState">
    <option name="STATE" value="1" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ApkExportedModule" value="CH9140UART.app" />
    <property name="ExportApk.ApkPath" value="C:\Users\WCH\Desktop\N_Asuka\CH914XUART\V1.1\ch914x\jar\CH9140UART\app" />
    <property name="ExportApk.BuildVariants" value="wchRelease" />
    <property name="ExportApk.SignV1" value="true" />
    <property name="ExportApk.SignV2" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="android-custom-viewC:/Users/WCH/Desktop/N_Asuka/CH914XUART/V1.1/ch914x/jar/CH9140UART/ui/src/main/java/com/touchmcu/ui/LoadingView.java_SELECTED" value="LoadingView" />
    <property name="android.sdk.path" value="$USER_HOME$/AppData/Local/Android/Sdk" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/app/src/main/res/drawable" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="multi-representation-previewC:/Users/WCH/Desktop/N_Asuka/CH914XUART/V1.1/ch914x/jar/CH9140UART/ui/src/main/java/com/touchmcu/ui/LoadingView.java_selected" value="Custom views" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="cn.wch.ch9140lib" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\WCH\Desktop\N_Asuka\CH914XUART\V1.1\ch914x\java\CH9140UART\ch9140lib\src\main\java\cn\wch\ch9140lib" />
      <recent name="C:\Users\WCH\Desktop\N_Asuka\CH914XUART\V1.1.1\CH9140UART\app\src\main\res\drawable" />
    </key>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="CH9140UART.app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="CH9140UART:ch9140lib [assemble]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$/ch9140lib" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="assemble" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="CH9141UART:blelib [assemble]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$/blelib" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="assemble" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration default="true" type="JetRunConfigurationType">
      <module name="CH9141UART" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType">
      <module name="CH9141UART" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Gradle.CH9140UART:ch9140lib [assemble]" />
        <item itemvalue="Gradle.CH9141UART:blelib [assemble]" />
      </list>
    </recent_temporary>
  </component>
  <component name="StructureViewFactory">
    <option name="ACTIVE_ACTIONS" value=",SHOW_FIELDS,SHOW_NON_PUBLIC" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="5165d76a-556e-41d6-9115-187984c7b7d8" name="Default Changelist" comment="" />
      <created>1599204342204</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1599204342204</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="158" y="87" key="#PSD" timestamp="1606468342762">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="158" y="87" key="#PSD/0.0.1280.680@0.0.1280.680" timestamp="1606468342762" />
    <state x="446" y="56" key="#com.intellij.ide.util.MemberChooser" timestamp="1606447300359">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="446" y="56" key="#com.intellij.ide.util.MemberChooser/0.0.1280.680@0.0.1280.680" timestamp="1606447300359" />
    <state x="107" y="253" key="#com.intellij.refactoring.move.MoveHandler.SelectRefactoringDialog" timestamp="1606462542161">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="107" y="253" key="#com.intellij.refactoring.move.MoveHandler.SelectRefactoringDialog/0.0.1280.680@0.0.1280.680" timestamp="1606462542161" />
    <state x="379" y="220" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages" timestamp="1606462589257">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="379" y="220" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages/0.0.1280.680@0.0.1280.680" timestamp="1606462589257" />
    <state x="347" y="69" key="ANALYSIS_DLG_com.intellij.analysis.BaseAnalysisAction$1" timestamp="1606466852325">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="347" y="69" key="ANALYSIS_DLG_com.intellij.analysis.BaseAnalysisAction$1/0.0.1280.680@0.0.1280.680" timestamp="1606466852325" />
    <state x="496" y="124" key="AndroidCreateXmlResourceDialog" timestamp="1605179092913">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="496" y="124" key="AndroidCreateXmlResourceDialog/0.0.1280.680@0.0.1280.680" timestamp="1605179092913" />
    <state x="421" y="95" key="FileChooserDialogImpl" timestamp="1607002061886">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="421" y="95" key="FileChooserDialogImpl/0.0.1280.680@0.0.1280.680" timestamp="1607002061886" />
    <state width="1238" height="189" key="GridCell.Tab.0.bottom" timestamp="1606555706057">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1238" height="189" key="GridCell.Tab.0.bottom/0.0.1280.680@0.0.1280.680" timestamp="1606555706057" />
    <state width="1238" height="189" key="GridCell.Tab.0.center" timestamp="1606555706057">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1238" height="189" key="GridCell.Tab.0.center/0.0.1280.680@0.0.1280.680" timestamp="1606555706057" />
    <state width="1238" height="189" key="GridCell.Tab.0.left" timestamp="1606555706057">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1238" height="189" key="GridCell.Tab.0.left/0.0.1280.680@0.0.1280.680" timestamp="1606555706057" />
    <state width="1238" height="189" key="GridCell.Tab.0.right" timestamp="1606555706057">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1238" height="189" key="GridCell.Tab.0.right/0.0.1280.680@0.0.1280.680" timestamp="1606555706057" />
    <state x="221" y="83" key="IDE.errors.dialog" timestamp="1606469072225">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="221" y="83" key="IDE.errors.dialog/0.0.1280.680@0.0.1280.680" timestamp="1606469072225" />
    <state x="142" y="0" key="SettingsEditor" timestamp="1603936026239">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="142" y="0" key="SettingsEditor/0.0.1280.680@0.0.1280.680" timestamp="1603936026239" />
    <state x="439" y="118" key="chooseDestDirectoryDialog" timestamp="1605184552014">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="439" y="118" key="chooseDestDirectoryDialog/0.0.1280.680@0.0.1280.680" timestamp="1605184552014" />
    <state x="0" y="0" key="com.intellij.ide.util.TipDialog" timestamp="1605697011468">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="0" y="0" key="com.intellij.ide.util.TipDialog/0.0.1280.680@0.0.1280.680" timestamp="1605697011468" />
    <state x="398" y="183" key="edit.logcat.filter.dialog.dimensions" timestamp="1603186572009">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="398" y="183" key="edit.logcat.filter.dialog.dimensions/0.0.1280.680@0.0.1280.680" timestamp="1603186572009" />
    <state x="321" y="73" width="638" height="536" key="find.popup" timestamp="1606445984786">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="321" y="73" width="638" height="536" key="find.popup/0.0.1280.680@0.0.1280.680" timestamp="1606445984786" />
    <state x="356" y="190" key="psd.add.jar.dependency.panel.dimension" timestamp="1606461353316">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="356" y="190" key="psd.add.jar.dependency.panel.dimension/0.0.1280.680@0.0.1280.680" timestamp="1606461353316" />
    <state x="81" y="81" key="psd.add.library.dependency.panel.dimension" timestamp="1606461359328">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="81" y="81" key="psd.add.library.dependency.panel.dimension/0.0.1280.680@0.0.1280.680" timestamp="1606461359328" />
    <state x="356" y="0" key="psd.add.module.dependency.panel.dimension" timestamp="1606461356207">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="356" y="0" key="psd.add.module.dependency.panel.dimension/0.0.1280.680@0.0.1280.680" timestamp="1606461356207" />
    <state x="303" y="1" width="672" height="678" key="search.everywhere.popup" timestamp="1605182060975">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="303" y="1" width="672" height="678" key="search.everywhere.popup/0.0.1280.680@0.0.1280.680" timestamp="1605182060975" />
  </component>
</project>